- Home
- API Enriched
- Authentication
- web
- Renew API credential.
Renew API credential.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/web/namespaces/example/renew/api_credentials';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"expiration_days":1,"name":"example","namespace":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/web/namespaces/example/renew/api_credentials \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "expiration_days": 1, "name": "example", "namespace": "example" }'Renew user’s my credential expiry. Renewal is only supported for the credential type API_TOKEN.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Namespace
x-required Value of namespace is always “system” .
Request Bodyrequired
Section titled “Request Bodyrequired”Request to renew a credential object.
object
Qty of days of service credential expiration.
Name of API credential object. Required: YES.
Value of namespace is always “system” . Required: YES.
Examplegenerated
{ "expiration_days": 1, "name": "example", "namespace": "example"}Responses
Section titled “Responses”A successful response.
API credential status response.
object
Result status flag.
Examplegenerated
{ "status": true}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example